# $Id: jailkit.spec

Summary: Utilities to limit user accounts to specific files using chroot()
Name: jailkit
Version: 2.23
Release: 2%{?dist}
License: Open Source
Group: System Environment/Base
URL: http://olivier.sessink.nl/jailkit/

Packager: Michael Stauber <mstauber@solarspeed.net>
Vendor: SOLARSPEED.NET

Source: http://olivier.sessink.nl/jailkit/jailkit-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils, gcc, make
BuildRequires: glibc-devel
BuildRequires: python3

%description
Jailkit is a set of utilities to limit user accounts to specific files
using chroot() and or specific commands. Setting up a chroot shell,
a shell limited to some specific command, or a daemon inside a chroot
jail is a lot easier using these utilities.

Jailkit has been in use for a while on CVS servers (in a chroot and
limited to cvs), sftp/scp servers (both in a chroot and limited to
sftp/scp as well as not in a chroot but only limited to sftp/scp),
and also on general servers with accounts where the shell accounts
are in a chroot.

%prep
%setup

# Prevent accidental Requires: /usr/bin/python33 by fixing bad shebangs (if present)
grep -rl '/usr/bin/python33' . | xargs -r sed -i 's|/usr/bin/python33|/usr/bin/python3|'

# apparently not needed anymore
### Disable broken Makefile :(
#%{__perl} -pi.orig -e 's|>>||g' Makefile.in

%build
# Workaround: configure script insists on 'python', even though we pass PYTHONINTERPRETER
ln -sf /usr/bin/python3 /usr/bin/python

PYTHONINTERPRETER=/usr/bin/python3 %configure
%{__make} %{?_smp_mflags}

%install
# clean up our workaround
[ -L /usr/bin/python ] && rm -f /usr/bin/python

%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__install} -Dp -m0755 extra/jailkit %{buildroot}%{_initrddir}/jailkit

#%post
#cat /etc/shells | grep -v jk_chrootsh >/etc/shells
#echo "/usr/bin/jk_chrootsh" >> /etc/shells
#/sbin/chkconfig --add jailkit
systemctl daemon-reload >/dev/null || 2>&1 :

#%postun
#cat /etc/shells | grep -v jk_chrootsh >/etc/shells
systemctl daemon-reload >/dev/null || 2>&1 :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/jailkit/
#%config %{_initrddir}/jailkit
%{_sbindir}/jk_*
%{_bindir}/jk_uchroot
%{_datadir}/jailkit/
/usr/lib/systemd/system/jailkit.service

%changelog
* Thu Jun 12 2025 Michael Stauber <mstauber@solarspeed.net> - 2.23-2
- Updated for EL10 to set PYTHONINTERPRETER=/usr/bin/python3
  However: Even that barfs and we have to create a temporary symlink
  for /usr/bin/python -> /usr/bin/python3 during build or we end up
  with the resulting RPM requiring /usr/bin/python33

* Thu Nov 11 2021 Michael Stauber <mstauber@solarspeed.net> - 2.23-1
- Updated to 2.23 for EL9, as we need the added Python-3 support
- Added Systemd Unit File jailkit.service

* Mon Jul 08 2019 Michael Stauber <mstauber@solarspeed.net> - 2.20-1
- Initial build
